import {
  ConfigurationDomain,
  ConfigurationKey,
  ConfigurationType,
} from '@mobicoop/configuration-module';

export const CARPOOL_CONFIG_ROLE = 'role';
export const CARPOOL_CONFIG_SEATS_PROPOSED = 'seatsProposed';
export const CARPOOL_CONFIG_SEATS_REQUESTED = 'seatsRequested';
export const CARPOOL_CONFIG_DEPARTURE_TIME_MARGIN = 'departureTimeMargin';
export const CARPOOL_CONFIG_STRICT_FREQUENCY = 'strictFrequency';

export const CarpoolConfig: {
  domain: ConfigurationDomain;
  key: ConfigurationKey;
  type: ConfigurationType;
}[] = [
  {
    domain: ConfigurationDomain.CARPOOL,
    key: CARPOOL_CONFIG_ROLE,
    type: ConfigurationType.STRING,
  },
  {
    domain: ConfigurationDomain.CARPOOL,
    key: CARPOOL_CONFIG_SEATS_PROPOSED,
    type: ConfigurationType.INT,
  },
  {
    domain: ConfigurationDomain.CARPOOL,
    key: CARPOOL_CONFIG_SEATS_REQUESTED,
    type: ConfigurationType.INT,
  },
  {
    domain: ConfigurationDomain.CARPOOL,
    key: CARPOOL_CONFIG_DEPARTURE_TIME_MARGIN,
    type: ConfigurationType.INT,
  },
  {
    domain: ConfigurationDomain.CARPOOL,
    key: CARPOOL_CONFIG_STRICT_FREQUENCY,
    type: ConfigurationType.BOOLEAN,
  },
];
