import {
  ConfigurationDomain,
  ConfigurationKey,
  ConfigurationType,
} from '@mobicoop/configuration-module';

export const MATCH_CONFIG_ALGORITHM = 'algorithm';
export const MATCH_CONFIG_REMOTENESS = 'remoteness';
export const MATCH_CONFIG_USE_PROPORTION = 'useProportion';
export const MATCH_CONFIG_PROPORTION = 'proportion';
export const MATCH_CONFIG_USE_AZIMUTH = 'useAzimuth';
export const MATCH_CONFIG_AZIMUTH_MARGIN = 'azimuthMargin';
export const MATCH_CONFIG_MAX_DETOUR_DISTANCE_RATIO = 'maxDetourDistanceRatio';
export const MATCH_CONFIG_MAX_DETOUR_DURATION_RATIO = 'maxDetourDurationRatio';
export const PAGINATION_CONFG_PER_PAGE = 'perPage';

export const MatchConfig: {
  domain: ConfigurationDomain;
  key: ConfigurationKey;
  type: ConfigurationType;
}[] = [
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_ALGORITHM,
    type: ConfigurationType.STRING,
  },
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_REMOTENESS,
    type: ConfigurationType.INT,
  },
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_USE_PROPORTION,
    type: ConfigurationType.BOOLEAN,
  },
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_PROPORTION,
    type: ConfigurationType.FLOAT,
  },
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_USE_AZIMUTH,
    type: ConfigurationType.BOOLEAN,
  },
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_AZIMUTH_MARGIN,
    type: ConfigurationType.INT,
  },
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_MAX_DETOUR_DISTANCE_RATIO,
    type: ConfigurationType.FLOAT,
  },
  {
    domain: ConfigurationDomain.MATCH,
    key: MATCH_CONFIG_MAX_DETOUR_DURATION_RATIO,
    type: ConfigurationType.FLOAT,
  },
];

export const PaginationConfig: {
  domain: ConfigurationDomain;
  key: ConfigurationKey;
  type: ConfigurationType;
}[] = [
  {
    domain: ConfigurationDomain.PAGINATION,
    key: PAGINATION_CONFG_PER_PAGE,
    type: ConfigurationType.INT,
  },
];
